org.jboss.classfilewriter.annotations

## Class StringAnnotationValue

- java.lang.Object
- - org.jboss.classfilewriter.annotations.AnnotationValue
  - - org.jboss.classfilewriter.annotations.StringAnnotationValue

All Implemented Interfaces:
  WritableEntry

    public class StringAnnotationValue
    extends AnnotationValue

A string annotation value

### Constructor Summary

Constructors
Constructor and Description
`StringAnnotationValue(ConstPool constPool, String name, String value)`

### Method Summary

Methods
`char` `getTag()`
`String` `getValue()`
`void` `writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.annotations.AnnotationValue

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringAnnotationValue

    public StringAnnotationValue(ConstPool constPool,
                         String name,
                         String value)

### Method Detail

#### getTag

    public char getTag()

Specified by:
  `getTag` in class `AnnotationValue`

#### writeData

    public void writeData(ByteArrayDataOutputStream stream)
                   throws IOException

Specified by:
  `writeData` in class `AnnotationValue`
Throws:
  `IOException`

#### getValue

    public String getValue()